"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const getter = require("lodash.get");
const setter = require("lodash.set");
const schema_1 = require("./schema");
class Config {
    load(options) {
        this.reset();
        const { value, error } = Joi.validate(options, schema_1.schema);
        error ? (this.error = error) : (this.config = value);
    }
    reset() {
        this.error = null;
        this.config = {};
    }
    get(key, defaultValue = null) {
        return getter(this.config, key, defaultValue);
    }
    set(key, value) {
        setter(this.config, key, value);
    }
    getError() {
        return this.error;
    }
    hasError() {
        return !!this.error;
    }
}
exports.config = new Config();
//# sourceMappingURL=index.js.map