"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
const pre_response_1 = require("./events/pre-response");
const request_1 = require("./events/request");
exports.plugin = {
    pkg: require("../package.json"),
    once: true,
    register: (server, options = {}) => {
        // Configure...
        config_1.config.load(options);
        if (config_1.config.hasError()) {
            throw config_1.config.getError();
        }
        // Extend...
        server.ext("onRequest", request_1.onRequest);
        server.ext("onPreResponse", pre_response_1.onPreResponse);
    },
};
//# sourceMappingURL=index.js.map